GNU bug report logs - #51386
29.0.50; fido-vertical-mode: ssh host completion

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Manuel Uberti <manuel.uberti@HIDDEN>; dated Mon, 25 Oct 2021 14:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 11:23:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 07:23:35 2021
Received: from localhost ([127.0.0.1]:48551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfh1r-0007gi-12
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:23:35 -0400
Received: from heytings.org ([95.142.160.155]:37498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfh1o-0007gZ-Eq
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:23:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635333811;
 bh=I4b9aAyKx1MgfvA6geypMWQcxwhN6SiWZp5PEltojZE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=gQobo+RKIAzAwPFlVLjyIQY8jJ59T6+aVtLG9wNf8LDpAGCGCt/5Hym+P0h4Rb04S
 fm5kKyP9PZs7lZSCRJRUuldOBdZ7GJYRRNazv8MaVCl6ZICFFz5FFo+BxBo6KwHxxm
 RluKBlZZpeaWqT56eLJ4Asu+Cu5YyZCihKMo42y34KE/q++hEKqZM4GROtRWYR2dFy
 QC7hjGUfnZBZme7cstRDjuQ98DpFioHyPelJqjaTW3sJK7jrv7/yZXXTCQUsafqGJc
 0D2Wbu943hgeLUENB4u3EvPNyVvQzJLsYWUwKnDLJzr5+74rS3sARQNl0oMoV3e8Qs
 iOAyESibWhhMA==
Date: Wed, 27 Oct 2021 11:23:30 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <874k92en9f.fsf@HIDDEN>
Message-ID: <e2898e04cfc656132a33@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
 <e2898e04cf26ea6e6e51@HIDDEN> <874k92en9f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> And, beside of fido-vertical-mode, your Tramp patch hides the method 
> names at all.
>

No, it does not.

>
> If I try
>
> emacs -Q -l tramp --eval "(setq completion-styles '(flex basic))"
>
> and apply then 'C-x C-f /ss TAB', it offers only the candidate '/sys/', 
> and nothing else. W/o your patch, there are the candidates
>

Yes, this is because "flex" is tried first, and returns "sys" because it 
contains two "s".

With that setting (flex basic), everything works perfectly with C-x C-f 
/ssh TAB, after which you see "ssh: sshfs: sshx:", and with C-x C-f /ssh: 
TAB, after which you see the hostnames.

With (substring basic), C-x C-f /ss TAB is completed and becomes /ssh.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 11:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 07:22:37 2021
Received: from localhost ([127.0.0.1]:48547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfh0u-0007ej-Ni
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:22:36 -0400
Received: from confino.investici.org ([212.103.72.250]:48245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfh0q-0007eU-4P
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:22:35 -0400
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4HfR9x2mLtz111t;
 Wed, 27 Oct 2021 11:22:29 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635333749;
 bh=dQr4q6uVT6rOsLvAzOKiiQXiNBQ8r+8Cyz6Fx5cZbts=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=Oq48Y2QklqkwyIVSkmxiF9AvkQxBHJLNLFm1CFi6dc/5q2eeJ981TpZnPBu/xaPCJ
 1unW/lMYopAZLpTLmcA4gpSDGY9uImF2ik3Fi1XMEbFWgVdfasqQhBiU8vnDHpq9au
 QdjXmI0zyKCbX24zj3HB0ydZ0Vf0a0UgDDYZY13E=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfR9x1PLHz1110; 
 Wed, 27 Oct 2021 11:22:29 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Dmitry Gutov <dgutov@HIDDEN>, Michael Albinus
 <michael.albinus@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
 <e2898e04cf26ea6e6e51@HIDDEN> <874k92en9f.fsf@HIDDEN>
 <01168286-7350-b5d5-764d-97bcd5623780@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <ed201867-dec8-6ef2-a1be-0cbe5f8b406f@HIDDEN>
Date: Wed, 27 Oct 2021 13:22:27 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <01168286-7350-b5d5-764d-97bcd5623780@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 27/10/21 13:19, Dmitry Gutov wrote:
> On 27.10.2021 14:10, Michael Albinus wrote:
>> Anyway, all our tests are mood. I would really appreciate if a
>> completion style author could chime in, and could investigate. I don't
>> say that there isn't an error in Tramp, but before I accept patches I
>> must understand what's up. And the proposed patch doesn't fix all cases
>> sufficiently (plus it violates the API, but this we have discussed
>> already in several rounds).
> 
> flex aside, does this completion work with the 'substring' completion style, for 
> example?

 From emacs -Q:

- (setq completion-styles '(substring))
- C-x C-f
- /ssh
- TAB

I get the *Completions* buffer with this content:

Click on a completion to select it.
In this buffer, type RET to select the completion near point.

Possible completions are:
ssh:
sshfs:
sshx:

While with the following from emacs -Q:

- (setq completion-styles '(substring))
- C-x C-f
- /ssh:
- TAB

I don't get any *Completions* buffer at all.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 11:20:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 07:20:04 2021
Received: from localhost ([127.0.0.1]:48543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfgyS-0007Yw-7f
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:20:04 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:45012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mfgyR-0007XQ-3M
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:20:03 -0400
Received: by mail-lf1-f42.google.com with SMTP id y26so5338597lfa.11
 for <51386 <at> debbugs.gnu.org>; Wed, 27 Oct 2021 04:20:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=jJw6nEW7FYWhv2S4zp7R7KQh65OKhB+b+QW80UoiH3U=;
 b=XxttSn8LEjdDooIScXzj94W4AzSGjy+TlBrBHXNdpapSsHNYamDEOQKjZ87/HrDdtu
 HZ6loQCPmT/tj5z505ZFbPcbdB7NLnJ/BbZvfw0Og1blSQdIJyATK/OezHb48nQ6A4iw
 wyAFVG13mj4yDl0tPAdct+7ZzxfqEP/8MjAomYwkgUp1SAEx48BdsS9G7c2CFSS7h/9g
 /KAMu97M3kBtkD00lZ5dTBRBDmiIQELtteo/1b5csL2FLtr1nDf0TXue3dPIrDQooSmB
 4QGHVzJCE53enWb/P7Ga8K6+QfGPiDuC+dfHu9z2CLlddF61VkeWHt24M6fWLeH3lkTA
 4dew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=jJw6nEW7FYWhv2S4zp7R7KQh65OKhB+b+QW80UoiH3U=;
 b=KAvWRBumInc/as0quwd4OuGx0LgFjkyqAyaGUyIT25UlNA+UZGDsOSCVuEVkveU2DZ
 PWo14Hjj7e6tw4a3SlJKI3WCCuXVfOqctmUnBX5bSdGn7wlx5KYggR3TfAcA1AheMH3o
 hp5Bz5fks/3EsmvmGjw3GyRIh9QAVZZ+DExsc+dmXQ6cOISvSAjuSxjtEpBNR0yZV+K8
 XwdO8e4gpD6Km5OphyoCuCAOH1NJKSLmB7z+4FnfEhwmLXDBiMTXlouIOsl+KgkBvVJ5
 hajCAaw2AGluvdU+AwthIu/DGS8j4Kv68ixjHSvmFSHSwlobJe66IkQPOBnc7ZiaaOjO
 8vsw==
X-Gm-Message-State: AOAM531tyB0TzdPA6j/jJXvx93OSLpdaucMXES3Ss9y4eB8akwyKcGWF
 6FhXAMztKcN+l/fDit+Uom0=
X-Google-Smtp-Source: ABdhPJyUZO6h9dlfbFJ0dgxzSHsycl2KZ4lQuqTcbS6GQ6B+IlAzVHMpzRYrYxx8FDkp1fy8MF8PIw==
X-Received: by 2002:a19:385d:: with SMTP id d29mr10252158lfj.432.1635333596877; 
 Wed, 27 Oct 2021 04:19:56 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id p12sm2202801lfa.265.2021.10.27.04.19.55
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Oct 2021 04:19:56 -0700 (PDT)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Michael Albinus <michael.albinus@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
 <e2898e04cf26ea6e6e51@HIDDEN> <874k92en9f.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <01168286-7350-b5d5-764d-97bcd5623780@HIDDEN>
Date: Wed, 27 Oct 2021 14:19:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <874k92en9f.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 27.10.2021 14:10, Michael Albinus wrote:
> Anyway, all our tests are mood. I would really appreciate if a
> completion style author could chime in, and could investigate. I don't
> say that there isn't an error in Tramp, but before I accept patches I
> must understand what's up. And the proposed patch doesn't fix all cases
> sufficiently (plus it violates the API, but this we have discussed
> already in several rounds).

flex aside, does this completion work with the 'substring' completion 
style, for example?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 11:11:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 07:11:04 2021
Received: from localhost ([127.0.0.1]:48526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfgpk-0007K4-Ma
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:11:04 -0400
Received: from mout.gmx.net ([212.227.17.21]:57047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mfgph-0007JY-DT
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 07:11:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635333054;
 bh=vy8G8xIw0BbulP+MwRJ2LTwYwd8CtGV3szbDgM2Fz+w=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=TkKQK7c9XPMwvi32hJxdO/m1T2LoSZLGKwN47ZwGrjE+uGVudSkMjzPjCb1q7bOrh
 8VlYTlpQOAiph5Y8vSqo2WKQy8ZI/rt+kqhQCwXfsfYQyuriWLp7VVCJmirYksX2XG
 Dw2KzeBRnYhNLgtIqhzwtN1sF/AZamVryaYuMZ9s=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.242.69]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MWzfl-1m8RRn1R0L-00XOZD; Wed, 27
 Oct 2021 13:10:54 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
 <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
 <e2898e04cf26ea6e6e51@HIDDEN>
Date: Wed, 27 Oct 2021 13:10:52 +0200
In-Reply-To: <e2898e04cf26ea6e6e51@HIDDEN> (Gregory Heytings's message
 of "Wed, 27 Oct 2021 09:12:45 +0000")
Message-ID: <874k92en9f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HV6MwU1Ud/mzSLjm2CEz6y7PFx95yxYI0uk0SzQdkMh9J0sWR2S
 C1gQLTZknmOalI3Eogl/uWnuhZmTbtWA4E+TCIoJiOX3uMckTwA9NcOZjhCtHL3MXCcDfW6
 uOkKZ5yhmaE2EXyvwWkzUiJIV3t0yI/ydRl2+bo9dTf3lk8j2UCZ6HAJZavyGkimPU00Naa
 HF+LKcnCWOnIZVZWvUw5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:El0QAW/wcLA=:lr5TE6VQhBlgIVErMShRog
 NyFlbVS18631TVhYIT0WWUYlN+KLkwqAac/FjCBbba+6RAHvWPajEG9D4YQbmBlRYTirM7vBQ
 6DpZ3uHPTwrrkabRGDRL4zfoP3WeE9gU3JS5iX56tQX9Y5kEbfhBtsrLWxv/1xcvZfwqLSVar
 H+HpD2WAH8905pIyzmTnMsuAS3b2An+Eq6wgBWvL2v2lb/pxsgpmTXCrdbFK1u+jWdwSBAYQb
 gy0VosQqRizUtqnf75hjwd/d7zimjNYJPBapkUTuEtUpNZ0Sx6VOh18+dsdaPOwRzyZYGdnZK
 gVrVAQYVp9UIfEm9N5NW+3hMiL7iKVHd/OdLFlKy4tnelCef7l1uIMnQEpZeynJRtSGDz6sYY
 OvKUglZ6mkCbdLudDbcSAuN5nhMM5v/HekjIySxw+8z/eixB+/T9/2dGX1k5xLohCYawVsNrS
 jcSQF7IAMWELl5mWyNLx6x76sy9jozvCWq9twrd9PrSr2XFlPXBcMHxqAH/7EFaNwB8eXk0ly
 Szr/AC+Jorr+5nJwhKmvDBk2CI8xeMM2112wV2b4SpmuM6/7ZvCvkOwaslY/n8ldL05jnrNAr
 c9huQ/hnGfArrkZW89+zYu6d30WBTEGF6PgopTBPCq2L5UrIWK/gB0brrLFFRrPNBVQeBs3ON
 CdJAPrbeUvA7+iD8/vTGEuDDxlzuRHpzlmzlCAm6NfYNGxUs1H8sjmUHz9TSf6oMu1l/yj+yg
 pOhP/GGMngPt9JtzXB8XQnKi94usjEOKKaOiXRhBDBdiVGTfDG1uNVzchm3wtW6x/t6PpqhnT
 BSRRKE513Js2Yg+hQtnnpz5D9lCVvBBIOHwlFgAtwp7xhdM/CbRIoEczrNDMYC9d279lBbo4P
 eN4qrTnkuWBtGOTKCgOFoKVo684otiMg1xGK/EG32ED7KTwk+iCjJ0AxoMrpsKhIWHDNFJjGw
 7nRz8bokqU3sK542IT8PGue8LZwL40M4oiwtDAZ13i3pVY+XVL+jwKycd9tUovy6jX2/ayjD/
 a2fTCeJZ3XwGEBYGakYcU/+ffCcCUUevJny72NzEGE16USFDD/iSjTYptuPfbDxJQMzAQKDbE
 xYVVQtgl4mYtnc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

Hi Grepor,

>> If I do instead
>>
>> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))" -f
>> fido-vertical-mode
>>
>> it doesn't work. Debugging of fido-vertical-mode is needed, I suppose.
>>
>
> This has already been done, as Manuel suggested the solution would be
> to add a fallback in icomplete--fido-mode-setup, which amounts to
> doing (set completion-styles '(flex basic)).

Yep. However, even if I apply this patch to icomplete.el and also your
Tramp patch it doesn't complete method names like "/ss TAB". So this
cannot be the proper solution I believe.

And, beside of fido-vertical-mode, your Tramp patch hides the method
names at all. If I try

emacs -Q -l tramp --eval "(setq completion-styles '(flex basic))"

and apply then 'C-x C-f /ss TAB', it offers only the candidate '/sys/',
and nothing else. W/o your patch, there are the candidates

--8<---------------cut here---------------start------------->8---
Possible completions are:
sshfs: 	ssh:
sshx: 	sys/
--8<---------------cut here---------------end--------------->8---

Anyway, all our tests are mood. I would really appreciate if a
completion style author could chime in, and could investigate. I don't
say that there isn't an error in Tramp, but before I accept patches I
must understand what's up. And the proposed patch doesn't fix all cases
sufficiently (plus it violates the API, but this we have discussed
already in several rounds).

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 10:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 06:26:03 2021
Received: from localhost ([127.0.0.1]:48460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfg8B-00065o-3O
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:26:03 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:36759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mfg88-00065I-9a
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:26:00 -0400
Received: by mail-lf1-f43.google.com with SMTP id j2so5149881lfg.3
 for <51386 <at> debbugs.gnu.org>; Wed, 27 Oct 2021 03:26:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9i1EleRzyHe1uYdC5vjbwM9jEzADLlpSL/bzX2hpios=;
 b=KhD26omGASRG/PeTKtwsipalrGTOu7a6LE2GJ1JQG336RTcsCZ+GryWcQGILfTlRCD
 PjliYtCdSyOATSTNlXZIbjSJYGq92DL1xZn+2UkIxdbrhLVV+iMq77Hl3v5bTzyic+yE
 iM6pmNUkbM9rslhNKWApNluYmXBas0s0qplC2EsaYt6i94jD4ek+zDtE4LKMGwr03E/L
 4axDjRCfAqVITfk5NE5f4bLbr+fH/L6bl8l+FW169JBg021UsDhE/MSEaw30RA0N7MEh
 4JMn6B/Pd/FfaOHDzuYcN4qEoT1Yzus+H2wntLGoXdBwryB+O/v1i5zn37+jjFv/G6hj
 zH7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9i1EleRzyHe1uYdC5vjbwM9jEzADLlpSL/bzX2hpios=;
 b=5ynoxP5RW0JSqncex/1bUp7pONaJo2i+U3X8IWSYL7tp6ggqNNS8FW+MCgwgCwqgHC
 9xQl0JLqGW/xLvfTMUSD9UniUNShqLmrpeGf2edTC8fJ/6x3STMjOwcNK9/jJS7upNpM
 PxKc1/XCpOkAizJ7xB38GS7p3jBB5N0eZ59neNaEOCA4sEBLJ1Q1CIWxB7/OrxJyQuIk
 rk6nmHIGszD7Y993zhamDWB4msNOWAJlKS3+8o5OYO4eYPRaXxwHKfernW3Si51OxdxE
 ewide4mvtGDKVJguqv2sbxs5qmhIY3IXlTGRovZUDMRvssjaFR560FKvgnys/b9k39l1
 1n0w==
X-Gm-Message-State: AOAM530lIrQ/iTFCV+PtSGaX4vwJPnB4Y9aX8KCr0pW0w5HHvq0kJrpd
 wMVRA0QDjaowQ4IxOuEuNGU=
X-Google-Smtp-Source: ABdhPJw/z0e8tUYNoGtuq7nCZB4xLAQ+S4JSigW80Hgzwstz8SEEpBvkWGlNIQQbMoApYMlhIY3z8A==
X-Received: by 2002:a05:6512:3503:: with SMTP id
 h3mr28652291lfs.183.1635330354154; 
 Wed, 27 Oct 2021 03:25:54 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id i8sm2197190lfb.227.2021.10.27.03.25.53
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Oct 2021 03:25:53 -0700 (PDT)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <8ff5cc5b-6ae6-dc63-e689-6056937bddad@HIDDEN>
 <e2898e04cf2a2e0f38f3@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <64e63d85-f403-98e9-0188-7698ee6eb762@HIDDEN>
Date: Wed, 27 Oct 2021 13:25:52 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <e2898e04cf2a2e0f38f3@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 27.10.2021 13:23, Gregory Heytings wrote:
> 
> Perhaps it should, but it doesn't, especially when the completion 
> provider tries to be smart.

I'm not sure "smart" is the word I'd use.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 10:23:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 06:23:09 2021
Received: from localhost ([127.0.0.1]:48454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfg5N-0005rW-Bp
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:23:09 -0400
Received: from heytings.org ([95.142.160.155]:37430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfg5L-0005rM-C3
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:23:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635330186;
 bh=T0SpZpezwer1WsAkKQfrkruw++qmz88SldCn1oJM2mo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=SWHlgSNboUwZto880YiwC7WiH9TMTO/vTATMw2UMsR+/I/ZRhGmSYWOFzcUAjRpVr
 5jyL6eqrP2J+LQx4MNz+mmMJzcfhrsk/gSOZ1pzo11iSYSascfq3q3AAp6dORc9zCT
 M1s0xG92IMQoK1Zk3befQiL4j4WNLLLJcaYrqPjckM/ACSkFMclPQ0AzL0LJNMaEtD
 FqSQWdQEiIN9gUoWcK0fs2eLRGF0PefVm/CWk0+CRrIXptKSgksy7dMLD12ZxL35Ks
 h7kt2xtFMXWSrfASFj21GVr8hpyMUiw6KKPDSxbGfbJQ0IOM51zKg0dmuHtO6g4IMd
 BFk+MW2yeYvjg==
Date: Wed, 27 Oct 2021 10:23:05 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <8ff5cc5b-6ae6-dc63-e689-6056937bddad@HIDDEN>
Message-ID: <e2898e04cf2a2e0f38f3@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <8ff5cc5b-6ae6-dc63-e689-6056937bddad@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> (setq-local completion-styles '(flex basic))
>
> That looks a little silly: flex should match anywhere where basic 
> matches.
>

Perhaps it should, but it doesn't, especially when the completion provider 
tries to be smart.  See:

emacs -Q -l tramp --eval "(setq completion-styles '(flex))"
C-x C-f /ssh: TAB

emacs -Q -l tramp --eval "(setq completion-styles '(basic))"
C-x C-f /ssh: TAB




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 10:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 06:15:26 2021
Received: from localhost ([127.0.0.1]:48450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mffxu-0005eA-Kj
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:15:26 -0400
Received: from mail-lf1-f53.google.com ([209.85.167.53]:39600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mffxs-0005du-No
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 06:15:25 -0400
Received: by mail-lf1-f53.google.com with SMTP id l13so5058500lfg.6
 for <51386 <at> debbugs.gnu.org>; Wed, 27 Oct 2021 03:15:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=BTgjxNLw4nBhtg3Dv0aIZZdTckaeafZ5OREc67qCyME=;
 b=BPgOS/JOsvbcG0FUCj2KwZxyygtsWmUxXZcqI4Ra65DZsLiK+mFZcCf6068ICb6WYF
 hW7dWCaFF4RDQO7iYlsdNQmk+hC3HjkUT8mYwNSyYRye5roId7X5U68J9GJ/Klhkfzok
 zzMqX1N2Vyneog5O+rUv1w93UidrN3l649l6h6usPUaJZdYG4Tqm+rVdcfm9z+Y1zj0M
 HxdHNgAnYDtzJWAfGnvGU6NIPs+WP/CDj1/G0ckOxyxG3p/5vX6i0opPB3mN55UMk+ky
 2Q6qETQ9JRXGFGApYXiCAWrk+ZANzpIdCDa3u0TDKKelrvTqI5lGY/vybqf7E6TfIrMc
 GcZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=BTgjxNLw4nBhtg3Dv0aIZZdTckaeafZ5OREc67qCyME=;
 b=zzPoCak7jkZsSG6AYIvQTwDQuqg+T2cJdXkeFmOmxVMfUnibLqgNmaIPB9lryBxR2L
 5IteHnlnp322GMdnusCRWRnLngGOlWpoul/YN3GMwi/75PnQ2edSytY6+TfqZX+vpAn7
 Q5ohxmQbrVUXFPRj1HAUr61OGFhkqiQB4iuG+oR+oEnV1H3TmNC8bTbZJvBJXqj9OR9K
 Ck8MpxWR8LABFJx4glV4HkD6oFfRaaBjZ4AetiX37/jrze9R+1JnIxmMM4oOEzp0C0n3
 XcNH91bp6RTCCYsWzi7ipZ9tTVp36RhFxK3xkAOIOiRGE07/4hHukGUfdo4cOFPF9+7P
 oMJQ==
X-Gm-Message-State: AOAM531WwHFQMaHZ8sKuOnPuDdOyrKALTV0fkTirbsCeBtlZsiFtVXLV
 hIoQF5YwM25F+jpSg2Bw/zw=
X-Google-Smtp-Source: ABdhPJyhzuJeze/T7FikwVL0RaR57Unx6xdvB53YLbKv1wT2M34FN6+HdF89+HELaN3zprZX7V/HaA==
X-Received: by 2002:a05:6512:2209:: with SMTP id
 h9mr10853528lfu.324.1635329718611; 
 Wed, 27 Oct 2021 03:15:18 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id j17sm1472600lfg.152.2021.10.27.03.15.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Oct 2021 03:15:18 -0700 (PDT)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Manuel Uberti <manuel.uberti@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8ff5cc5b-6ae6-dc63-e689-6056937bddad@HIDDEN>
Date: Wed, 27 Oct 2021 13:15:17 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 27.10.2021 10:55, Manuel Uberti via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> (setq-local completion-styles '(flex basic))

That looks a little silly: flex should match anywhere where basic matches.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 09:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 05:12:49 2021
Received: from localhost ([127.0.0.1]:48420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfezJ-0003tr-2s
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:12:49 -0400
Received: from heytings.org ([95.142.160.155]:37368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfezG-0003ti-J5
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:12:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635325965;
 bh=m4VaRYI6NDqlxxCcnO/fJ8oAAcjpGvxQHzuiyMgJQvQ=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=UUTxegJyagGCJyeaH30AmiszdT6VKkn8wlKfH/8XS1hK2tOhTCSovvIkC+X45ofES
 4d/fpg34+gwP29wd2eA7ar/gBS9KHYIA/NgdwQW6BiCSseL23UgvKpKYyKwxkjuRmY
 pr3CPvAc1Kkh+xOPykYLN8NkMEeG2Few9NL26TaRcO38WmrphpyWlEsRlvViKnmo6S
 WnZ/eciwNyqtHJjHTjXhVzg8MSmK00/m8UFlSQtEHyqyPBpROhzujivTHzkNKh/N3C
 Lx7bRhTfb2Hi9dlwzhBelaZIfVPWvrk69Y28xjB1QTb+01CwP+PSK8ttNXb1S9UvcL
 4njbYcCxygn6w==
Date: Wed, 27 Oct 2021 09:12:45 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <878ryeet1p.fsf@HIDDEN>
Message-ID: <e2898e04cf26ea6e6e51@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> The better setting is '(basic flex). With that setting, there is no 
> problem at all. Try
>
> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))"
>

That's better from your point of view.  Some users do not want to use the 
"basic" completion backend before the "flex" completion backend, they want 
to use "flex" and, only when "flex" fails, "basic".

>
> If I do instead
>
> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))" -f 
> fido-vertical-mode
>
> it doesn't work. Debugging of fido-vertical-mode is needed, I suppose.
>

This has already been done, as Manuel suggested the solution would be to 
add a fallback in icomplete--fido-mode-setup, which amounts to doing (set 
completion-styles '(flex basic)).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 09:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 05:08:06 2021
Received: from localhost ([127.0.0.1]:48416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfeuk-0003mM-Ga
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:08:06 -0400
Received: from confino.investici.org ([212.103.72.250]:41945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfeui-0003mA-88
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:08:05 -0400
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4HfNBp3qyYz111b;
 Wed, 27 Oct 2021 09:08:02 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635325682;
 bh=Teb25zNJhzGv1nPga/qOqiEGEtKg+wTWWopoJSOmnhg=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=pi3gxf8zTv243gdufUy0cRx2CRK8gEEylaaxOm4sT69F3UOQfu6fDNNeeBMzMUu2r
 VxDEfm0rHhthv/z/owfzrKn8/0O4PAGqEn6w4esybeYiI9ZNsy6uWetVL/8WQII3iI
 ZIeB2nyv6axsGRVpaA1DSL1wPzDrHzjMBmL2BV/c=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfNBp2WF3z111V; 
 Wed, 27 Oct 2021 09:08:02 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Michael Albinus <michael.albinus@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN> <878ryeet1p.fsf@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <e9b0fc06-49d3-06e6-1626-776da5e04cf1@HIDDEN>
Date: Wed, 27 Oct 2021 11:08:01 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <878ryeet1p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 27/10/21 11:05, Michael Albinus wrote:
> If I do instead
> 
> emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))" -f fido-vertical-mode
> 
> it doesn't work. Debugging of fido-vertical-mode is needed, I suppose.

Hi Michael,

as I wrote before, I think it's because fido-vertical-mode uses 
icomplete--fido-mode-setup, which locally sets completion-styles:

(defun icomplete--fido-mode-setup ()
   "Setup `fido-mode''s minibuffer."
   (when (and icomplete-mode (icomplete-simple-completing-p))
     (use-local-map (make-composed-keymap icomplete-fido-mode-map
                                          (current-local-map)))
     (setq-local icomplete-tidy-shadowed-file-names t
                 icomplete-show-matches-on-no-input t
                 icomplete-hide-common-prefix nil
                 icomplete-scroll (not (null icomplete-vertical-mode))
                 completion-styles '(flex)
                 completion-flex-nospace nil
                 completion-category-defaults nil
                 completion-ignore-case t
                 read-buffer-completion-ignore-case t
                 read-file-name-completion-ignore-case t)))

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 09:06:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 05:06:08 2021
Received: from localhost ([127.0.0.1]:48412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfesq-0003ic-0T
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:06:08 -0400
Received: from mout.gmx.net ([212.227.17.21]:34759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mfesk-0003hn-FB
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 05:06:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635325556;
 bh=4Cy/LnZw/oO3tavjoUvavPlU/Jt/Bc9IAwOfuH87OYg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Kh9jmZuU+EP2TAE/dXrV+fKZPKGLU61Pw20dyl7ROVEiFF2nc9b0i4pD2mz9bHtN6
 anmtbaES3aka4vzpgfoHAgwKbmeCcwAfgvXjUCrhv1khSM5r5N3R0M3vDs/rgzQ0Je
 8HleiyCCZLIPAaySnWwajtHTzxpmRFbVebQ1DVjw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.242.69]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N4QsY-1mqLGX3Tpm-011PmH; Wed, 27
 Oct 2021 11:05:55 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
 <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN>
Date: Wed, 27 Oct 2021 11:05:54 +0200
In-Reply-To: <e2898e04cf2eae3a0efd@HIDDEN> (Gregory Heytings's message
 of "Wed, 27 Oct 2021 08:05:31 +0000")
Message-ID: <878ryeet1p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:0I9Kgvd5SoQ9Y9td79qldM8jakpAaRGITO+uZWtvKPjUy1pKfrK
 tZYhFb3agEX6bB0fPpK95iSqvMdPO4B/pxgj9D3aEYsD0C3avgyM2AUzrVxOY0L5N26gJpL
 BsvHGqCxSZrzqdlE0S2PvUd3DrMz6UAtq4U5LqL1mZwvdg4nFHUtfJWn9i4vxViJNurrQbM
 xFxG6G5aTi/FapESOR7Pw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:09EoeoI8+do=:Uf//PhYVsQ7LOxAm9L9llV
 mGSAtn+GmbEfgHozKJqNMdSpBfPm4Fn2T+p+3Js8PJcWX1izxCGFgG2M/XJ4nzygsQjarvad7
 Qhtiq/GaO0puGwUMH4d7nsXEX+oeKXsnujbhqMQ/tVHsYeqM7coVP4FPU7r+uJEv+OVIZHhTb
 dMAHfLJqLaM47HOk/d4WKfxmEA/vIUus6aR0tkt0RMkfCqY+P4+4jmO3j7oActU4VzFofGEzA
 mLgcfIQQCWr0rfvlnniYFXGzZXSW/+zJ7inaS+pAHXN6o04Kr0NYugVysn1Esy+ISiG5AU4xH
 HqDN7cv8Iua4ZxF2qV2DBH6dtRseLJTeJn2GdgRHRdbnUOaAIrfSQbzKxB7rVTGyTNVnXNa4J
 ciXBQLAN0vXvj86Vb9giL6h2r3CRE0ZlXDBHKpqgo21krDdHk7xZ/oLnuuNLCB0BTc/oM1lLm
 uOrkt77c+dlqCCaQ4ZtXGVB69ZjkTDAhYqAs100WqZLnLuEuGkS7pszpkGq9k+nlpX8EF1ZuW
 Iwe9Gvqa7Ob8iKZhpPKv6NW4bdii3XtOiJzR/0hNFvAKTgWG3VleFeiYgYFGyPYb3f4M9FiOg
 TUfvKJKwxH4/7KPiHppBxkCMIj2aOSKmtvDAvLQMAoZcp2eSZrjUB+J78zR63JRa4x8dRV9gC
 mhNwIHozALwM0mhg8TEIKA4vBhPMQ9LJ67ISXQibapHa83hCRw9jxSCIwR5o4XdKTdnZUTQVS
 osMqDpnk7Q63tYu0qMgf/epTthKf1YTQX+pbQFph6AGiDYznosMA8FzmK3ysaqUdyen5NY/bC
 ytc1gJfpTsC+a1HNEnYcx+ZwCbt4GGDfkhw3a/7XIl6IQEwd55jdHeePUozUVR6JNEVZJZXGY
 TlEtm1dpK2lRQGoXRyaZYmfPeIaaBGjEyA8DCwwP+bWTqYYD2iEikexoCWXYPxhfHzAx3OXxO
 nY3jWA4b7aX7rlQhobVkj82FsYo3/iH14uqobvN3POT+Cru+3ly5/a0wFi2de77srYxiDGPXO
 h8aWywlmAA8OWD7ckasonZmWk0Uz4T8hQnm5k9LgKWt9uGhsHrP0ZBGpN+RXNAiG95H5tyxQD
 KIHTbtFqPdlt0I=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

Hi Gregory,

>>> The second condition could perhaps be reworded as "Some completion
>>> styles, like 'substring' or 'flex', require to type at least one
>>> character after the trailing ':' *when they come first in the
>>> completion-styles list*."
>>
>> Just wondering: wouldn't be enough to change
>> icomplete--fido-mode-setup to use:
>>
>> (setq-local completion-styles '(flex basic))
>>
>> Instead of:
>>
>> (setq-local completion-styles '(flex))
>>
>> As it is doing currently?
>
> It depends what you mean by "being enough".  That setting would be
> better, but you would still have to type the first character of the
> hostname. With that setting and my patch, everything would work as you
> would expect, namely, you wouldn't have to type the first character of
> the hostname anymore.

The better setting is '(basic flex). With that setting, there is no
problem at all. Try

emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))"

This works out-of-the box, w/o any further patch (as you have said above).

If I do instead

emacs -Q -l tramp --eval "(setq completion-styles '(basic flex))" -f fido-vertical-mode

it doesn't work. Debugging of fido-vertical-mode is needed, I suppose.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 08:07:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 04:07:26 2021
Received: from localhost ([127.0.0.1]:48353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfdxs-00024L-RD
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 04:07:26 -0400
Received: from confino.investici.org ([212.103.72.250]:39479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfdxq-00024C-Jh
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 04:07:15 -0400
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4HfLrc65jhz1129;
 Wed, 27 Oct 2021 08:07:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635322032;
 bh=ZXSfvXAnIq9rwWur7Om3hHcPYG50V4PXd4A4aAC1I30=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=ELaQ7JLKiHuxowgnwhAulcujlKzi6U/MXf0TPzTTWI3cIg2Dp69uLM1cFY4ZHVMQA
 e1FibA1fvM70Tmda5Cw1ZgryCWvwD+H1jE0GhbtbNo/ntb/3r0L5VgAYpitRmG5rZ0
 bTq9ihqmjwFTAlGGluZIQFktIyJibd3ii6p8XlGw=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfLrc4x51z10wS; 
 Wed, 27 Oct 2021 08:07:12 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
 <e2898e04cf2eae3a0efd@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <b04c78eb-df93-8260-0ad7-270f69197a23@HIDDEN>
Date: Wed, 27 Oct 2021 10:07:12 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <e2898e04cf2eae3a0efd@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 27/10/21 10:05, Gregory Heytings wrote:
> It depends what you mean by "being enough".  That setting would be better, but 
> you would still have to type the first character of the hostname. With that 
> setting and my patch, everything would work as you would expect, namely, you 
> wouldn't have to type the first character of the hostname anymore.

I see. Well then yes, my opinion is that both the completion-styles setting and 
your patch should be added.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 08:05:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 04:05:35 2021
Received: from localhost ([127.0.0.1]:48349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfdwF-00021f-Fc
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 04:05:35 -0400
Received: from heytings.org ([95.142.160.155]:37294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfdwD-00021W-KP
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 04:05:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635321931;
 bh=7jlcZDUqQUerGymh6y6V8B1pkELA46HS11V9K98uyXw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=MxPzRd5vo8oJkmC3XhUnSZy+0Cbj3frTKPuehFe12R3WOpLubDSu14Y9j2ffnt36D
 R75kheSYgBdEXqS/gR8Qcqw8Ik0YFAQVFRfOx5nfm9WmjlCSYzg6tgNGAyXj5xPEZA
 pL54A4DcPzmxErR10Jzra5NOaI4ttLm/vFrtzBGzy8CEjFMxGR0nj/avbOaGbeu+rG
 sASWZaGbcIkIUZlItP1v0wWuSiIjjLh8ga4YqNaHq1B/N0nNjZNMcrVIThK1B3vxka
 CatR1YF2P5LTc4T/HF1Pq4T58GqCLxWF1lvDXe5ATpu5LloZlB0oNrmM95nGbQBF1Z
 WqMD/x4CuY/kQ==
Date: Wed, 27 Oct 2021 08:05:31 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
Message-ID: <e2898e04cf2eae3a0efd@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
 <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> The second condition could perhaps be reworded as "Some completion 
>> styles, like 'substring' or 'flex', require to type at least one 
>> character after the trailing ':' *when they come first in the 
>> completion-styles list*."
>
> Just wondering: wouldn't be enough to change icomplete--fido-mode-setup 
> to use:
>
> (setq-local completion-styles '(flex basic))
>
> Instead of:
>
> (setq-local completion-styles '(flex))
>
> As it is doing currently?
>

It depends what you mean by "being enough".  That setting would be better, 
but you would still have to type the first character of the hostname. 
With that setting and my patch, everything would work as you would expect, 
namely, you wouldn't have to type the first character of the hostname 
anymore.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 07:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 03:56:09 2021
Received: from localhost ([127.0.0.1]:48345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfdn4-0001nA-UZ
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 03:56:09 -0400
Received: from confino.investici.org ([212.103.72.250]:26943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfdmz-0001mf-Oh
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 03:56:05 -0400
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4HfLbg6LyBz111r;
 Wed, 27 Oct 2021 07:55:59 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635321359;
 bh=K5D8AYgi9SMC7j7Qbj+jsPxgSMVtI4l+v7CFtOAnPHE=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=E1Q46FdJTxJH6luq6nexR+75q3I8KJO7vvrz8CqqWtxcPeiC5zV5O4JlnvFTm0f2D
 YeG6adMKKZ/YyGgDDeJUA07HPIVRGzpVfXyJq5tPKoNbnR8C/t7Wd83pA7nIQ3fge5
 xziC3DbTx8whryqNXCAt1Md7FwUJb6ZW0NBzAG4U=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfLbg5JyQz111s; 
 Wed, 27 Oct 2021 07:55:59 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
 <e2898e04cf0b5f0507c7@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <1df528ef-ade0-898f-29fc-2936cb2c88c3@HIDDEN>
Date: Wed, 27 Oct 2021 09:55:59 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <e2898e04cf0b5f0507c7@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 27/10/21 09:51, Gregory Heytings wrote:
> The second condition could perhaps be reworded as "Some completion styles, like 
> 'substring' or 'flex', require to type at least one character after the trailing 
> ':' *when they come first in the completion-styles list*."

Just wondering: wouldn't be enough to change icomplete--fido-mode-setup to use:

(setq-local completion-styles '(flex basic))

Instead of:

(setq-local completion-styles '(flex))

As it is doing currently?

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 07:51:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 03:51:36 2021
Received: from localhost ([127.0.0.1]:48321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfdii-0001fX-0w
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 03:51:36 -0400
Received: from heytings.org ([95.142.160.155]:37264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfdig-0001fP-DX
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 03:51:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635321092;
 bh=51Xm9mbYhLo41/gEEnC7xlZAWxAfaFFHiNSwwLh+tjk=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=lSFDDgTZBsmUQuJe4p2fpaicCA5TR+RWPECtbO95fUJ6B7c5kEFM6QtELPwfnMLkn
 iS0kBwpY47+lKkDgvhN8SQ7iAk9ybUNXMyBSsjfVeQqNVMifGb66GRba9VEMwmke1+
 SZAfJXD1qngz1R6MocemHXiSoAEL7J5Xm/lOPl60iGiC5wTkzf4NEYLiYEtpGz7mZo
 4iT6TsFTfnu9/uoyhtlF++SqmNuTw0Ge/as3n2jUwcQzLKxIqH4pe06XQETD/4oWpO
 IBVAI6uHzzJ3fSzn9pG9Oh44+b9gKa+gi2cKbyefX91emryynXeSuk+4MFMJN5zPNd
 LXUwtFxJuGgGQ==
Date: Wed, 27 Oct 2021 07:51:32 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
Message-ID: <e2898e04cf0b5f0507c7@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="v0p2fa3t8v"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--v0p2fa3t8v
Content-Type: text/plain; format=flowed; charset=utf-8
Content-Transfer-Encoding: quoted-printable


>
> As I reported before, at the moment from 'emacs -Q' and with=20
> fido-vertical-mode enabled, typing one character after the trailing ':'=
=20
> does not offer the completions I can see without fido-vertical-mode.
>

In your case both conditions apply:

1. User name and host name completion is activated only, if file name=20
completion has one of the styles =E2=80=98basic=E2=80=99, =E2=80=98emacs21=
=E2=80=99, or =E2=80=98emacs22=E2=80=99.

2. Some completion styles, like =E2=80=98substring=E2=80=99 or =E2=80=98fle=
x=E2=80=99, require to type at=20
least one character after the trailing =E2=80=98:=E2=80=99.

The second condition could perhaps be reworded as "Some completion styles,=
=20
like 'substring' or 'flex', require to type at least one character after=20
the trailing ':' *when they come first in the completion-styles list*."
--v0p2fa3t8v--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 27 Oct 2021 05:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 01:50:33 2021
Received: from localhost ([127.0.0.1]:48230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfbpZ-00073H-5y
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 01:50:33 -0400
Received: from latitanza.investici.org ([82.94.249.234]:34119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfbpW-000734-Au
 for 51386 <at> debbugs.gnu.org; Wed, 27 Oct 2021 01:50:31 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4HfHpr4vKkzGp4W;
 Wed, 27 Oct 2021 05:50:28 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635313828;
 bh=gPGQbRq7e0kLi28djk1KiqzeqUzdYMGCXSN1Xml74Lc=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=dROTi95vMCvDue9bS/Mz2pfoHFolLCM4WV5+fSLEZbPPyDnsjkhVb/Fdzv+2gPaDs
 ukKnIAS0Xyv8PHcqqcqxSxA0K29xUHgNbUNrYgLshIm86WRBpNrZPtz2a6jKzwgwLZ
 9YvgBTksza/I6aeQ6+66gxqiIhu3GZRt5ohyAPp0=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfHpr3M6WzGp4V; 
 Wed, 27 Oct 2021 05:50:28 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Michael Albinus <michael.albinus@HIDDEN>,
 Manuel Uberti via Bug reports for GNU "Emacs," the Swiss army knife of text
 editors <bug-gnu-emacs@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
Date: Wed, 27 Oct 2021 07:50:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <877ddzk64t.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 26/10/21 20:12, Michael Albinus wrote:
> Furthermore, it mentions the problem of typing at least the first letter
> of a host or user name in a footnote, see (info "(tramp) File name completion-Footnote-1")
> 
> --8<---------------cut here---------------start------------->8---
>     (1) Some completion styles, like ‘substring’ or ‘flex’, require to
> type at least one character after the trailing ‘:’.
> --8<---------------cut here---------------end--------------->8---

As I reported before, at the moment from 'emacs -Q' and with fido-vertical-mode 
enabled, typing one character after the trailing ':' does not offer the 
completions I can see without fido-vertical-mode.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Oct 2021 05:50:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 01:50:47 2021
Received: from localhost ([127.0.0.1]:48233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfbpn-00073m-Ed
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 01:50:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:35040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfbpl-00073e-8c
 for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 01:50:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32970)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mfbpk-0004vw-Cb
 for bug-gnu-emacs@HIDDEN; Wed, 27 Oct 2021 01:50:45 -0400
Received: from latitanza.investici.org ([82.94.249.234]:63129)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mfbpg-0002gT-Mu
 for bug-gnu-emacs@HIDDEN; Wed, 27 Oct 2021 01:50:43 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4HfHpr4vKkzGp4W;
 Wed, 27 Oct 2021 05:50:28 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635313828;
 bh=gPGQbRq7e0kLi28djk1KiqzeqUzdYMGCXSN1Xml74Lc=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=dROTi95vMCvDue9bS/Mz2pfoHFolLCM4WV5+fSLEZbPPyDnsjkhVb/Fdzv+2gPaDs
 ukKnIAS0Xyv8PHcqqcqxSxA0K29xUHgNbUNrYgLshIm86WRBpNrZPtz2a6jKzwgwLZ
 9YvgBTksza/I6aeQ6+66gxqiIhu3GZRt5ohyAPp0=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HfHpr3M6WzGp4V; 
 Wed, 27 Oct 2021 05:50:28 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Michael Albinus <michael.albinus@HIDDEN>,
 Manuel Uberti via Bug reports for GNU "Emacs," the Swiss army knife of text
 editors <bug-gnu-emacs@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <f3e0cdd4-5f32-34a8-4d6e-c18a37f69a81@HIDDEN>
Date: Wed, 27 Oct 2021 07:50:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <877ddzk64t.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=82.94.249.234;
 envelope-from=manuel.uberti@HIDDEN; helo=latitanza.investici.org
X-Spam_score_int: -22
X-Spam_score: -2.3
X-Spam_bar: --
X-Spam_report: (-2.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, NICE_REPLY_A=-0.215,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: submit
Cc: 51386 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

On 26/10/21 20:12, Michael Albinus wrote:
> Furthermore, it mentions the problem of typing at least the first letter
> of a host or user name in a footnote, see (info "(tramp) File name completion-Footnote-1")
> 
> --8<---------------cut here---------------start------------->8---
>     (1) Some completion styles, like ‘substring’ or ‘flex’, require to
> type at least one character after the trailing ‘:’.
> --8<---------------cut here---------------end--------------->8---

As I reported before, at the moment from 'emacs -Q' and with fido-vertical-mode 
enabled, typing one character after the trailing ':' does not offer the 
completions I can see without fido-vertical-mode.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 19:07:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 15:07:00 2021
Received: from localhost ([127.0.0.1]:47563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfRmm-0000nJ-8j
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:07:00 -0400
Received: from heytings.org ([95.142.160.155]:36666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfRmk-0000n9-7H
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:06:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635275217;
 bh=KIDhxtFzIZLmBBXNIFNPZqThwRcyQOmcPnHuOw7gQ3c=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Yp1iZlBYJArt5UtVQzprsfTioFiEYp6YS7fgIZFkwtOUQP8zvH9JlZ3qC/vguirEK
 8+7bA3En25lkwwWNmcgMiMsqa/WII0S/k1hguQHv4YzLMI7V7n/mv0PX887+04/u/g
 gYnL3t0Jd843p/mwdefYjBpvYCDgCbp0WY2edojQawcEQqinQMIsxrZFvPMgpZorjF
 VApjUm20U5EqH1NK9nlakGUnv4rZ5Q3pgQd6cHWYN2lmFHKxrj1a3e7foftoikDOu1
 IoXiCHZRTobu6CYrCVHTRfdGpQ2WyY2ddoGgyXlpEtQs5Bq9TxgyAPxm08jA2vnAal
 cttFQBBH3xJCA==
Date: Tue, 26 Oct 2021 19:06:56 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <8735onk487.fsf@HIDDEN>
Message-ID: <664bd93fdd3ba3155067@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
 <664bd93fdd51d1c62c79@HIDDEN> <8735onk487.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Your patch violates the file-name-all-completions API. Testing with 
> "emacs -Q -l tramp":
>

We've discussed this earlier.  I concluded that the problem is in the 
file-name-all-completions, where it can be fixed with a single line 
change.  You believe that the problem should be fixed at the level of the 
completion mechanisms, which won't happen.

>
> Currently, we have the following with vanilla Emacs (on my laptop):
>
> (file-name-all-completions "" "/") => ("sudoedit:" ...)
>
> With your one-line patch, we have instead
>
> (file-name-all-completions "" "/") => ("sbin/" ...)
>
> That means, all Tramp methods are suppressed.
>

That's a very partial way of presenting what my patch does.  The truth is 
that Tramp methods are not at all suppressed.  They are not returned when 
the completions of the root directory are required, they are returned as 
soon as at least one character is typed:

(file-name-all-completions "s" "/") => ("sudoedit:" "sshfs:" ... "sys/" ...)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 18:53:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 14:53:22 2021
Received: from localhost ([127.0.0.1]:47559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfRZa-0000Px-05
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:53:22 -0400
Received: from mout.gmx.net ([212.227.15.15]:57321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mfRZY-0000Ph-LC
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:53:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635274394;
 bh=ul+KKJUWHDEvPN2RaKXD1NpodvJQwKcOoi8861kesos=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=OGTk8iwca9M6Seq6uzs2hWwfmSYwnI6hr1ZDXgQeOAJN7I3fOU6+NvgLlun7JnDYc
 RynrNKw9iWR1YBSRlUO+uuwnLU1cHIcTc6IVypYsMsNCAmpkRFCs8U/mnYVI2efgxY
 DLlubBLhaZCDO6F5llNBQ0Gdhj6qp7q5nM0ltY5E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.242.69]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MYNJg-1mBB0t3k3O-00VNDm; Tue, 26
 Oct 2021 20:53:14 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
 <877ddzk64t.fsf@HIDDEN> <664bd93fdd51d1c62c79@HIDDEN>
Date: Tue, 26 Oct 2021 20:53:12 +0200
In-Reply-To: <664bd93fdd51d1c62c79@HIDDEN> (Gregory Heytings's message
 of "Tue, 26 Oct 2021 18:24:44 +0000")
Message-ID: <8735onk487.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:hRXypZn4KK6DVYxY2t1bjriKvUJRQUnPvAEAWwJjq8fuJhz7VuG
 tRWFP35WsFdkpy/lAMAaAix2flBL+godjz9a2E3Fwaef3xuePkv4Nkn+gr12laUyIlvrM+n
 4vNK3gS16MY/VrQlkdBDTD7HhZvGnjXFcMdzQ5OiuRg5VBrHM6XT9dfXZ5/l3pdu7iNbAag
 DL1e2iFYlD3gk1UhL9RMQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:po/nSo24sFs=:9FSB2HNC/6US+Qf7QwBHeF
 2gBglDB1B4tFMpWEIjKQJ4wMj0dxvwHOv5QXDIlMJBtBhod5phTKI2qaVrPIqDGi/aRSDe9jd
 CWcjHLxFC/j3+sCeGbIde4MMBCziy3fFDU7d2fwxj9jMWRpMtIFe/VQjZXvj1qu3Xm9W6a7dA
 eH6VsfiNGL3NHWEWHVNVwhJ7NpK77Ta6OxRW0gcHltZIi1vZm+eNA0uixXewTkbVBktUG4Juq
 PHMmI4R7EBZGyq3gqeCdr+9wS034WIX5xuwf5aw4gFPiZBQx6Z9n5Xmn0uu/WVelmSbidbbUN
 Rv6XCUHxZGCofz6Y8+SMgZNmTg61yxZIKWUsZ5VSC9VbYvuUueeah6ChNB5/RkGeA3MCAtvF8
 aCoD5QYKrixNz7xdbyMmzHDxOBljsL0/BswyXg6S5RmEx07e5MWKIlLhfiHgsbdAOHktBupXL
 aQJeHyaMnRgmfOQANKPHLQTcsmgybfPnnHQoIEJv5VDA8SPmhecaWiv65qalpraI+Y5Nz0Nqu
 tHmvPlADQBQPNFCKcfEho/I4nwJM14va+ankWyXzRaOjOCXIZMx0M+cMA58CyfkKazABTejLV
 3XoIv++pfbZ3rmp4n4YvMp74vATXUnPXVBvFqsvx+tF5Et0PzF93QIiQQ/oxVXjCUwqg642Nz
 CMs7wIJDm8RIvrox7URvH9R4LXWCgAAS1nEthfRfZa41NYi4V0xtB8winHcgMmChIroqUqpH4
 lN8yqqIicplTruWLhy/i0Vhefme6na7RJFTeflMD0uTmM2gyc6tUUe+DMZC01Z2XzzsB9srvz
 ESb0440t8MB9+fK+EZwfl2Llvgv6R9kA7WZPo6Pd3VJFNjx2vcTb0NYiNgOwFJmOKJ0C7DeHB
 rOrhQilTcsNIzMv2Hui1M+h3K64pA7nOfPHP+eb0lnTy4lDs7LW3tHXHrPsXUBRBJs/akWNj+
 xizsME/+eFOfKykGvP5aZGp87dhPis8iJhuJ8xRApBsJjBoWGzYG/KwhWi0x80/rzBjAKZU9F
 GDuo2sx9echtSUloHVKHpEJcZbLxZzOeMUsTwkRP+vuIM9LBRxHsdJrjg+b5ygu383hXRFcF5
 QJcfFakX2xxQKw=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Gregory Heytings <gregory@HIDDEN> writes:

Hi Gregory,

>> Bonus point, if somebody who knows completion styles by heart could
>> fix this annoyance. Then we don't need to document it.
>>
>
> ??? I sent you a (one-line!) patch for the second annoyance, and you
> rejected it.  I'd be willing to look at the first annoyance, but not
> if it's to see the patch again rejected.

Your patch violates the file-name-all-completions API. Testing with
"emacs -Q -l tramp":

Currently, we have the following with vanilla Emacs (on my laptop):

--8<---------------cut here---------------start------------->8---
(file-name-all-completions "" "/")
=> ("sudoedit:" "sshfs:" "smb:" "rcp:" "remcp:" "scp:" "scpx:" "rsync:" "rsh:" "remsh:" "ssh:" "sshx:" "telnet:" "nc:" "su:" "sg:" "sudo:" "doas:" "ksu:" "krlogin:" "plink:" "plinkx:" "pscp:" "psftp:" "fcp:" "rclone:" "afp:" "dav:" "davs:" "gdrive:" "mtp:" "nextcloud:" "sftp:" "ftp:" "adb:" "sbin/" "proc/" "bin/" "snap/" "opt/" "var/" "dev/" "lib64/" "./" "nonexistent/" "lost+found/" "media/" "root/" "srv/" "etc/" "mnt/" "../" "tmp/" "net/" "sys/" "lib/" "boot/" "home/" "run/" "usr/")
--8<---------------cut here---------------end--------------->8---

With your one-line patch, we have instead

--8<---------------cut here---------------start------------->8---
(file-name-all-completions "" "/")
=> ("sbin/" "proc/" "bin/" "snap/" "opt/" "var/" "dev/" "lib64/" "./" "nonexistent/" "lost+found/" "media/" "root/" "srv/" "etc/" "mnt/" "../" "tmp/" "net/" "sys/" "lib/" "boot/" "home/" "run/" "usr/")
--8<---------------cut here---------------end--------------->8---

That means, all Tramp methods are suppressed. This is wrong, a valid
file name can start with a Tramp method. The Elisp manual calls such
cnstructs "magic" file names, but they are still valid file name
prefixes in the sense of file-name-all-completions. And so they are
valid results.

Our discrepancy is, that I believe we shall follow the API, and fix
problems where they are located. You want a workaround in Tramp, which
would IMO do more damage than it is good for. My experience tells me
that such hacks will create new problems we have to deal with in the
future.

Both of us agree that there is a problem. I don't intend to reject
patches from you, I just must be convinced that they solve the problem
adequately.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 18:24:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 14:24:47 2021
Received: from localhost ([127.0.0.1]:47550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfR7v-00083X-5W
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:24:47 -0400
Received: from heytings.org ([95.142.160.155]:36610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfR7t-00083P-QI
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:24:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635272684;
 bh=4kt3wXrZZYm+e1q2eF1pjLhdE5027wlsfGrDKHj7Ah8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=BTjq8OCsjp/PwNrAB79pK8fwLiVGUp58r5nrMFSOS3GdFqwzgsd0nOkpDNUy0AfLR
 8vEQyAb43VfjlNmLtSxYHWEh0UwVOXFsrh0TyQIf8fkH2jJ3sjmgJcpNwNDqCdE3Bu
 aHQpM5LhSMJOiFlAHtEjUJSZEtS982u0+E5EMIlEfkP2u/PExYB++QIcwWs/MSi9eF
 O/vjk1gGECG0rwMTIjLcSXPR9Aip9kxGIYrraNBvZx+QlUA31GTM/QcTmL8MIkCoKc
 DW/hVqdl8dijF9cppCq7K3B7ID1FhPg+sBTG/QonvIvlVWpfncQ+zok+R4S3rBQ9Pn
 8cV6xAFEZjWYg==
Date: Tue, 26 Oct 2021 18:24:44 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <877ddzk64t.fsf@HIDDEN>
Message-ID: <664bd93fdd51d1c62c79@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> <877ddzk64t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Bonus point, if somebody who knows completion styles by heart could fix 
> this annoyance. Then we don't need to document it.
>

??? I sent you a (one-line!) patch for the second annoyance, and you 
rejected it.  I'd be willing to look at the first annoyance, but not if 
it's to see the patch again rejected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 18:12:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 14:12:25 2021
Received: from localhost ([127.0.0.1]:47527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfQvx-0007hb-EB
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:12:25 -0400
Received: from mout.gmx.net ([212.227.17.21]:58031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mfQvh-0007h0-Tw
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:12:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635271924;
 bh=hUH7Vxg0QyxBGunR80f6GlvOmuAisVGC5+MW76TjeAs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Sz3LO6Qd+ScNMpLttjLYOqnUgqaIUvUndtm358ij9ISc/xQ0podLIPpLVdQ+DjjIX
 O5qedth3Z+a38eX0HkM6AHAiU+Xm6+Z3ew/n2NhlzX3tlvaX6Hitw3IzNxD4yMgDbx
 ByuKYa+O8eB0A9WuFzvRuc5YJ6gV0/93UHN1ImnU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.242.69]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MysRu-1mtGmP3rCk-00vvSB; Tue, 26
 Oct 2021 20:12:04 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
Date: Tue, 26 Oct 2021 20:12:02 +0200
In-Reply-To: <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> (Manuel
 Uberti via's message of "Tue, 26 Oct 2021 18:00:39 +0200")
Message-ID: <877ddzk64t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ospE/NCieBx/ELp7b7GiEF11KVx34sGANUWynBTV3XPFb1bEQ70
 ZDM1dyhEk/KUsfbS5UvrCVtYXYlsXgjrFX0bbgDSSGHFCHtxSMF5orwIx7tST6XNdth9Yx0
 zNXkyqyd+A+hGGyF8Woqn33gKiplCh3AL7/5D2CcUhfkYRK3XrlfE3BrJil29rq4UaVQS3Z
 CnB46rZDjwWTYhT7W/tfg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:V/1DNmKeTHg=:A3elnLN/1LuD5COMH7WBMP
 A1oYoMITYsqV+PVC2OZQ7wRDxZEXcfmiAVollbuT8H0XgaXz5RUp1N0+Dv25c3sVzOL9HzCK+
 leiYJm9qN+xiWbTuKMWFRsV+1hEZ+z7BsbbKa+r8Pueb6JMX2Pgge9EBPAa9olNJZQqTUM+g3
 Y7Yt4XIPATDFKqzHUiyWwvBAgNqRw3c5GgbXnCeBDtNqUFdXKnD30rYEcHS6XaIY5K17U9NnR
 pL/Xx/uk2RceJLNx69gG/JlLLBIVnGpZDTNiv1b9xAUMSi5cmFuP2JI1ZKDuurpOEJyzILJxm
 hxFCH8C/qX4LK9Uvkl2Xl6ailW6M0pv/ZoxQ3lhLox71wIFrRwd19p/6dwoLLs3+PGju3hHDi
 pjtvmoOv334+18ljT76QEWgaw52uhtjNu45FySCu/2pXzW9eX83hK/lKuyoO5v7mVq7h+xgo5
 deBo545p+jnRbdPgBJPHR5DGBQkacYkO/Tm+3NfbxqsCckL7VR8ETAER0aUM3S2cqCBhNeijZ
 MUgR/a/FZa4RN05/Avhl4JQhGCJmmAOm1GD7hzyKQRTesC2AJO9YDDery3ownyM6hQhi5RxN6
 u8+S/BfK6/Ol+zpdhEQ1ltQvYLpmu7VgFG64qXWBzHvNGCayjxP4U5dzdnZoah9CW3Q8DfD0s
 DTrlPtvY5la94Uhbr4J0U2cdksdEe+enzh9qWLG93D9m53Y+Ns0XEKILvGyfYe1n3D3LbntQN
 33GjcVeIktbgT+xxbL+cQk0qzyVOwCFbf2m/0pc4H/70/5YxZKLusYAQDQ+AejG0hpOM/2Vrz
 VDv+I0LcDea+2ieNWu1zXzgZfBeNGfk6W0n5wNQITi9U876Yx5uc9u7Xv7YeTucTcj+cnX2za
 24oGJl78oCuA2alPkn/k2LNDYFEXXxA2Fhj6KkB3OrlL6kCl4/0EZnJpgxlReIVH01Jbc0kba
 eMsdhKtqG8VMXTK4mHWUZCJoV9pXom5k/BqLLPvK86ooPqCfO1CRGwhsj2/JzLxhwzUhBmyPw
 QGf+12uJyqOxmoXf8o78/eYxgMxTnsPzMNo2LKPynEu0GbC6sxBofPC9jkhVWxbBvR+qB0XJr
 lxL8fKBwlf890k=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

Hi Manuel,

>>> Can this bug be closed from your POV?
>> Not unless there is a documented way to work around this problem
>> with fido-mode, IMO. The used should be told to customize
>> completion-styles properly, I guess, provided it customization does
>> not get overridden by icomplete--fido-mode-setup.
>>=20
>
> "used" was "user" and "it customization" was "its customization". Sorry a=
bout that.

The Tramp manual says

--8<---------------cut here---------------start------------->8---
User name and host name completion is activated only, if file name
completion has one of the styles =E2=80=98basic=E2=80=99, =E2=80=98emacs21=
=E2=80=99, or =E2=80=98emacs22=E2=80=99.
--8<---------------cut here---------------end--------------->8---

Furthermore, it mentions the problem of typing at least the first letter
of a host or user name in a footnote, see (info "(tramp) File name completi=
on-Footnote-1")

--8<---------------cut here---------------start------------->8---
   (1) Some completion styles, like =E2=80=98substring=E2=80=99 or =E2=80=
=98flex=E2=80=99, require to
type at least one character after the trailing =E2=80=98:=E2=80=99.
--8<---------------cut here---------------end--------------->8---

Granted, this is very short. Proposals for better wording in the Tramp
manual are welcome.

Bonus point, if somebody who knows completion styles by heart could fix
this annoyance. Then we don't need to document it.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Oct 2021 18:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 14:12:32 2021
Received: from localhost ([127.0.0.1]:47530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfQw3-0007hz-S6
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:12:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:39982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mfQw2-0007hs-LG
 for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 14:12:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54520)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1mfQw1-0006aV-TF
 for bug-gnu-emacs@HIDDEN; Tue, 26 Oct 2021 14:12:30 -0400
Received: from mout.gmx.net ([212.227.17.21]:38799)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1mfQvy-0006yZ-Ma
 for bug-gnu-emacs@HIDDEN; Tue, 26 Oct 2021 14:12:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635271924;
 bh=hUH7Vxg0QyxBGunR80f6GlvOmuAisVGC5+MW76TjeAs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Sz3LO6Qd+ScNMpLttjLYOqnUgqaIUvUndtm358ij9ISc/xQ0podLIPpLVdQ+DjjIX
 O5qedth3Z+a38eX0HkM6AHAiU+Xm6+Z3ew/n2NhlzX3tlvaX6Hitw3IzNxD4yMgDbx
 ByuKYa+O8eB0A9WuFzvRuc5YJ6gV0/93UHN1ImnU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.242.69]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MysRu-1mtGmP3rCk-00vvSB; Tue, 26
 Oct 2021 20:12:04 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
 <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
Date: Tue, 26 Oct 2021 20:12:02 +0200
In-Reply-To: <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN> (Manuel
 Uberti via's message of "Tue, 26 Oct 2021 18:00:39 +0200")
Message-ID: <877ddzk64t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ospE/NCieBx/ELp7b7GiEF11KVx34sGANUWynBTV3XPFb1bEQ70
 ZDM1dyhEk/KUsfbS5UvrCVtYXYlsXgjrFX0bbgDSSGHFCHtxSMF5orwIx7tST6XNdth9Yx0
 zNXkyqyd+A+hGGyF8Woqn33gKiplCh3AL7/5D2CcUhfkYRK3XrlfE3BrJil29rq4UaVQS3Z
 CnB46rZDjwWTYhT7W/tfg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:V/1DNmKeTHg=:A3elnLN/1LuD5COMH7WBMP
 A1oYoMITYsqV+PVC2OZQ7wRDxZEXcfmiAVollbuT8H0XgaXz5RUp1N0+Dv25c3sVzOL9HzCK+
 leiYJm9qN+xiWbTuKMWFRsV+1hEZ+z7BsbbKa+r8Pueb6JMX2Pgge9EBPAa9olNJZQqTUM+g3
 Y7Yt4XIPATDFKqzHUiyWwvBAgNqRw3c5GgbXnCeBDtNqUFdXKnD30rYEcHS6XaIY5K17U9NnR
 pL/Xx/uk2RceJLNx69gG/JlLLBIVnGpZDTNiv1b9xAUMSi5cmFuP2JI1ZKDuurpOEJyzILJxm
 hxFCH8C/qX4LK9Uvkl2Xl6ailW6M0pv/ZoxQ3lhLox71wIFrRwd19p/6dwoLLs3+PGju3hHDi
 pjtvmoOv334+18ljT76QEWgaw52uhtjNu45FySCu/2pXzW9eX83hK/lKuyoO5v7mVq7h+xgo5
 deBo545p+jnRbdPgBJPHR5DGBQkacYkO/Tm+3NfbxqsCckL7VR8ETAER0aUM3S2cqCBhNeijZ
 MUgR/a/FZa4RN05/Avhl4JQhGCJmmAOm1GD7hzyKQRTesC2AJO9YDDery3ownyM6hQhi5RxN6
 u8+S/BfK6/Ol+zpdhEQ1ltQvYLpmu7VgFG64qXWBzHvNGCayjxP4U5dzdnZoah9CW3Q8DfD0s
 DTrlPtvY5la94Uhbr4J0U2cdksdEe+enzh9qWLG93D9m53Y+Ns0XEKILvGyfYe1n3D3LbntQN
 33GjcVeIktbgT+xxbL+cQk0qzyVOwCFbf2m/0pc4H/70/5YxZKLusYAQDQ+AejG0hpOM/2Vrz
 VDv+I0LcDea+2ieNWu1zXzgZfBeNGfk6W0n5wNQITi9U876Yx5uc9u7Xv7YeTucTcj+cnX2za
 24oGJl78oCuA2alPkn/k2LNDYFEXXxA2Fhj6KkB3OrlL6kCl4/0EZnJpgxlReIVH01Jbc0kba
 eMsdhKtqG8VMXTK4mHWUZCJoV9pXom5k/BqLLPvK86ooPqCfO1CRGwhsj2/JzLxhwzUhBmyPw
 QGf+12uJyqOxmoXf8o78/eYxgMxTnsPzMNo2LKPynEu0GbC6sxBofPC9jkhVWxbBvR+qB0XJr
 lxL8fKBwlf890k=
Received-SPF: pass client-ip=212.227.17.21;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: 0
X-Spam_score: 0.0
X-Spam_bar: /
X-Spam_report: (0.0 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 FREEMAIL_FROM=0.001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 51386 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 Manuel Uberti <manuel.uberti@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

Hi Manuel,

>>> Can this bug be closed from your POV?
>> Not unless there is a documented way to work around this problem
>> with fido-mode, IMO. The used should be told to customize
>> completion-styles properly, I guess, provided it customization does
>> not get overridden by icomplete--fido-mode-setup.
>>=20
>
> "used" was "user" and "it customization" was "its customization". Sorry a=
bout that.

The Tramp manual says

--8<---------------cut here---------------start------------->8---
User name and host name completion is activated only, if file name
completion has one of the styles =E2=80=98basic=E2=80=99, =E2=80=98emacs21=
=E2=80=99, or =E2=80=98emacs22=E2=80=99.
--8<---------------cut here---------------end--------------->8---

Furthermore, it mentions the problem of typing at least the first letter
of a host or user name in a footnote, see (info "(tramp) File name completi=
on-Footnote-1")

--8<---------------cut here---------------start------------->8---
   (1) Some completion styles, like =E2=80=98substring=E2=80=99 or =E2=80=
=98flex=E2=80=99, require to
type at least one character after the trailing =E2=80=98:=E2=80=99.
--8<---------------cut here---------------end--------------->8---

Granted, this is very short. Proposals for better wording in the Tramp
manual are welcome.

Bonus point, if somebody who knows completion styles by heart could fix
this annoyance. Then we don't need to document it.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 16:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 12:00:43 2021
Received: from localhost ([127.0.0.1]:47375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfOsV-0003vL-AM
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 12:00:43 -0400
Received: from latitanza.investici.org ([82.94.249.234]:59699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfOsT-0003vD-Ry
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 12:00:42 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4HdxPN1ByLzGp3S;
 Tue, 26 Oct 2021 16:00:40 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635264040;
 bh=jUCRs9TsAGj8WvjUvF76aAx7HoYpGZeE7gnpdYPP8Bs=;
 h=Subject:From:To:Cc:References:Date:In-Reply-To:From;
 b=SxWiiRStFDG2SpMRie0eFrvsoaAUmCW+VBN2WJsYNyhCaeyDcHWAgGujOT6x/cfwx
 omZvpbwLyTtR/460EEFj6oiNSA5GrUINz6a/Qa8yyD/Ol3bC0KsGlJgURI0jSxmOLM
 rXAIS+a8qN0oJF2TVHO+MQEm4It4+KMQvAd+c+b8=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HdxPN0J7GzGp3B; 
 Tue, 26 Oct 2021 16:00:40 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
From: Manuel Uberti <manuel.uberti@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
 <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
Message-ID: <ae0af4a8-d8e5-961a-a57a-ece7aa80da2c@HIDDEN>
Date: Tue, 26 Oct 2021 18:00:39 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 26/10/21 17:30, Manuel Uberti wrote:
> On 26/10/21 09:13, Gregory Heytings wrote:
>> Of course: if you prioritize simpler completion mechanisms, it works without 
>> the fix for more complex completion mechanisms.
>>
>> Can this bug be closed from your POV?
> 
> Not unless there is a documented way to work around this problem with fido-mode, 
> IMO. The used should be told to customize completion-styles properly, I guess, 
> provided it customization does not get overridden by icomplete--fido-mode-setup.
> 

"used" was "user" and "it customization" was "its customization". Sorry about that.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 15:30:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 11:30:11 2021
Received: from localhost ([127.0.0.1]:47345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfOOw-00032t-PO
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 11:30:10 -0400
Received: from devianza.investici.org ([198.167.222.108]:65103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfOOu-00032g-1H
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 11:30:09 -0400
Received: from mx2.investici.org (unknown [127.0.0.1])
 by devianza.investici.org (Postfix) with ESMTP id 4Hdwk64pyxz6vFZ;
 Tue, 26 Oct 2021 15:30:06 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635262206;
 bh=7oTU9zBdOPPdX1Ox73O2lCaPSINL2o5LmZJC8BOeuEo=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=rHt94ywvWpXRTV3tnSnI5TsQWFQ0hWvllmh1/czZn6u3CHUtQS78bolbryrgq9WqV
 B3/Dre8XYRPSPuSXx8gzfv1y7SXN0t6ok7bABRL/+2UPvayQuFQ1ZiK4hbcCuDTcA7
 Ml+bb+tf1VZgQcrwykX6F8UdEQmOzpRt2/0sdVQA=
Received: from [198.167.222.108] (mx2.investici.org [198.167.222.108])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4Hdwk60Tynz6v8w; 
 Tue, 26 Oct 2021 15:30:05 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
 <664bd93fdd4dd6ce0249@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <2f34674e-a170-99e6-f923-dabbd7013e60@HIDDEN>
Date: Tue, 26 Oct 2021 17:30:02 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <664bd93fdd4dd6ce0249@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 26/10/21 09:13, Gregory Heytings wrote:
> Of course: if you prioritize simpler completion mechanisms, it works without the 
> fix for more complex completion mechanisms.
> 
> Can this bug be closed from your POV?

Not unless there is a documented way to work around this problem with fido-mode, 
IMO. The used should be told to customize completion-styles properly, I guess, 
provided it customization does not get overridden by icomplete--fido-mode-setup.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 07:13:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 03:13:59 2021
Received: from localhost ([127.0.0.1]:44923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfGek-0001Nf-Rw
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 03:13:59 -0400
Received: from heytings.org ([95.142.160.155]:35740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mfGei-0001NW-Nt
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 03:13:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635232434;
 bh=znx4vTZljHduQfwwXTGz9mL9B/mmk6EhXZCdynrP6oU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=nyTIdEKNNqVeQcEc4W7RE1NJro1o42K7eQgjTZJYDw2jhmt26dvmDyd143VE+YFZM
 mTvcNq8I/H+0UJn0JrusMg4+t9lzY9vDLgrBTImaamMaljAjAg1Mwh5qwadu2sphIU
 /NtpYPE4yqOKnSOmqeu5xPldC6sOpIJ09oj76E70NyCgifCcIubFDuT4YrRiPs69HN
 1y/6msyHU7GSIGgjdqmacxpPaZDH48O5jf4/eaf10sjmWaVauUN4Kcu3ocp168BzA0
 4Qtg37QlwiGRnhDiOOTPdqLUYkVpSgIvO/apROHYaM66PZI4/4+4nu77PdsshpR2sd
 Z3PnTWGusIl/A==
Date: Tue, 26 Oct 2021 07:13:54 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
Message-ID: <664bd93fdd4dd6ce0249@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
 <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> I'd suggest to add something a fallback method in 
>> icomplete--fido-mode-setup, for example completion-styles '(flex 
>> basic). And perhaps to apply the attached patch in your local Emacs, 
>> which provides I think the behavior you expect.
>
> FWIW, it works with '(basic partial-completion flex), even without your 
> patch applied.
>

Of course: if you prioritize simpler completion mechanisms, it works 
without the fix for more complex completion mechanisms.

Can this bug be closed from your POV?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 26 Oct 2021 04:47:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 00:47:25 2021
Received: from localhost ([127.0.0.1]:44811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfEMu-0005y2-U1
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 00:47:25 -0400
Received: from confino.investici.org ([212.103.72.250]:37101)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mfEMr-0005xT-KL
 for 51386 <at> debbugs.gnu.org; Tue, 26 Oct 2021 00:47:23 -0400
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4HdfSR4hNkz115P;
 Tue, 26 Oct 2021 04:47:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635223639;
 bh=XadpX/E5+v7hqO1LjbT1MvjX4Lm8GiPIkbpov2O+7UI=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=nOiVNw2lG/+21NUvoK74m/UWMDgzpEwkeFI53Dgc6S8/wygvOfDK0O4kzRqezg6UQ
 dcctqjIMeUFXnorwIC8iT5P78unNk0AjS1yWtQnf1I14p+8QVPvydupqXe/g09YHdx
 L0SXl47NYyIp4Ii5JNReGPLTdXWJU8MkPe9OFW3E=
Received: from [212.103.72.250] (mx1.investici.org [212.103.72.250])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HdfSR3y2jz114v; 
 Tue, 26 Oct 2021 04:47:19 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
 <822aec9d01dd14907c52@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <a114b4bb-be82-246f-6259-704954677331@HIDDEN>
Date: Tue, 26 Oct 2021 06:47:15 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <822aec9d01dd14907c52@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 25/10/21 18:13, Gregory Heytings wrote:
> I'd suggest to add something a fallback method in icomplete--fido-mode-setup, 
> for example completion-styles '(flex basic). And perhaps to apply the attached 
> patch in your local Emacs, which provides I think the behavior you expect.

FWIW, it works with '(basic partial-completion flex), even without your patch 
applied.

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 25 Oct 2021 16:13:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 12:13:24 2021
Received: from localhost ([127.0.0.1]:44089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf2bE-0001Oi-FG
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 12:13:24 -0400
Received: from heytings.org ([95.142.160.155]:34792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mf2bC-0001OX-Cw
 for 51386 <at> debbugs.gnu.org; Mon, 25 Oct 2021 12:13:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635178401;
 bh=kvAz9dxvqmOdQnIcJ34SdiEmViiTJyfr2RYfH/mPg9U=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=D4DkX25MTXrv+LPFmjTSoGQXOUcKBt5ILsRGeiyKyZOwfBpXAtiJJE/rbZG4Wj4qy
 on2KZ4UqRfvPQRPQViSsl18+xnkhqzyTEHbHABTArgHvOPG4Ik9q1Do8/dlhsyuEG+
 L00C4X03NBJszcT9DFl0ztRq7U+eWZKUhlLDlokBqsWgSSzp6wfQLSFqU8MC2bFc9v
 aaCy9NyF69906X1ouGOlK3NiO2XeHleeiC0FOkh6rsisLeS/Jde+x6EyhJ7WXwPuEu
 KOhsTeL0VK8eIp+xEAIOG9NuaAFnw8GfXfiiNe4UUV0K2uS02uKnY8z35AVJv3lD7Y
 6TmqmiCQAPXIQ==
Date: Mon, 25 Oct 2021 16:13:20 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
Message-ID: <822aec9d01dd14907c52@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
 <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="B1ap1qMsK7"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--B1ap1qMsK7
Content-Type: text/plain; format=flowed; charset=us-ascii


>
> It doesn't seem to work, though. From emacs -Q:
>

Tramp doesn't behave as expected with only flex in completion-styles, 
indeed.  I see the same problem in Emacs 27.  Your bug report was similar 
to bug#50387, it is in fact related but subtly different.

>
> The hostname isn't completed and I don't see the *Completions* buffer. 
> While without enabling fido-vertical-mode, I get /ssh:server on pressing 
> TAB after /ssh:s
>

I'd suggest to add something a fallback method in 
icomplete--fido-mode-setup, for example completion-styles '(flex basic). 
And perhaps to apply the attached patch in your local Emacs, which 
provides I think the behavior you expect.
--B1ap1qMsK7
Content-Type: text/x-diff; name=Improve-handling-of-non-default-completion-styles-wi.patch
Content-Transfer-Encoding: base64
Content-ID: <822aec9d01e19cbc9d04@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=Improve-handling-of-non-default-completion-styles-wi.patch

RnJvbSA1ZjRiODIxYmJmNTEyMzQyMmQ0Mzg5NWJlZTRjODQ3Y2ZhZGYzMWIw
IE1vbiBTZXAgMTcgMDA6MDA6MDAgMjAwMQ0KRnJvbTogR3JlZ29yeSBIZXl0
aW5ncyA8Z3JlZ29yeUBoZXl0aW5ncy5vcmc+DQpEYXRlOiBNb24sIDYgU2Vw
IDIwMjEgMjA6NTI6MjEgKzAwMDANClN1YmplY3Q6IFtQQVRDSF0gSW1wcm92
ZSBoYW5kbGluZyBvZiBub24tZGVmYXVsdCBjb21wbGV0aW9uIHN0eWxlcyB3
aXRoIFRyYW1wDQogbWV0aG9kcw0KDQoqIGxpc3AvbmV0L3RyYW1wLmVsICh0
cmFtcC1jb21wbGV0aW9uLWhhbmRsZS1maWxlLW5hbWUtYWxsLWNvbXBsZXRp
b25zKToNCkRvIG5vdCByZXR1cm4gbWV0aG9kcyB3aGVuIHRoZSBmaWxlbmFt
ZSBhbHJlYWR5IGNvbnRhaW5zIGEgY29tcGxldGUgbWV0aG9kLg0KRml4ZXMg
YnVnIzUwMzg3Lg0KLS0tDQogbGlzcC9uZXQvdHJhbXAuZWwgfCA1ICsrKy0t
DQogMSBmaWxlIGNoYW5nZWQsIDMgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlv
bnMoLSkNCg0KZGlmZiAtLWdpdCBhL2xpc3AvbmV0L3RyYW1wLmVsIGIvbGlz
cC9uZXQvdHJhbXAuZWwNCmluZGV4IDRmZDdhMzIyZDQuLjI1OWZjMWZjZmMg
MTAwNjQ0DQotLS0gYS9saXNwL25ldC90cmFtcC5lbA0KKysrIGIvbGlzcC9u
ZXQvdHJhbXAuZWwNCkBAIC0yODM5LDggKzI4MzksOSBAQCB0cmFtcC1jb21w
bGV0aW9uLWhhbmRsZS1maWxlLW5hbWUtYWxsLWNvbXBsZXRpb25zDQogCQkJ
ICAgICAgIChkZWxxIG5pbCBhbGwtdXNlci1ob3N0cykpKSkpDQogDQogCSAg
ICA7OyBQb3NzaWJsZSBtZXRob2RzLg0KLQkgICAgKHNldHEgcmVzdWx0DQot
CQkgIChhcHBlbmQgcmVzdWx0ICh0cmFtcC1nZXQtY29tcGxldGlvbi1tZXRo
b2RzIG0pKSkpKSkpDQorCSAgICAodW5sZXNzIChzdHJpbmctZW1wdHktcCBt
ZXRob2QpDQorCSAgICAgIChzZXRxIHJlc3VsdA0KKwkJICAgIChhcHBlbmQg
cmVzdWx0ICh0cmFtcC1nZXQtY29tcGxldGlvbi1tZXRob2RzIG0pKSkpKSkp
KQ0KIA0KICAgICA7OyBVbmlmeSBsaXN0LCBhZGQgaG9wLCByZW1vdmUgbmls
IGVsZW1lbnRzLg0KICAgICAoZG9saXN0IChlbHQgcmVzdWx0KQ0KLS0gDQoy
LjMzLjANCg0K

--B1ap1qMsK7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 25 Oct 2021 15:08:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 11:08:29 2021
Received: from localhost ([127.0.0.1]:43981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf1aO-0003Yw-Qc
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 11:08:29 -0400
Received: from devianza.investici.org ([198.167.222.108]:55997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mf1aM-0003Yk-1o
 for 51386 <at> debbugs.gnu.org; Mon, 25 Oct 2021 11:08:27 -0400
Received: from mx2.investici.org (unknown [127.0.0.1])
 by devianza.investici.org (Postfix) with ESMTP id 4HdJHX5Kk7z6v6H;
 Mon, 25 Oct 2021 15:08:24 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635174504;
 bh=aXs/OO0fFckseRqYPqD7cDN2/0ph4gbDg+heW0J98IE=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=ECKX5+VF8Y+tv8Ah0VKTZWrutEV+4Zhg9pNMNyt2kQ95Mdj3DyM5kgG+R6RKveZ3x
 PMYZ33XxLpx5+J9LGZ9W2/liDdJY1nLgyMdIP7Bquq4VqXfTPSJvTEfbL9DeyDMcui
 /AGvr3/+YwiLf+nQZVJz0D4FZ0N4WWyfGXeG4PvI=
Received: from [198.167.222.108] (mx2.investici.org [198.167.222.108])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HdJHX4G7lz6v6F; 
 Mon, 25 Oct 2021 15:08:24 +0000 (UTC)
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
To: Gregory Heytings <gregory@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
 <822aec9d010037a1158a@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <87916c87-fcea-d8a4-5f1d-9066e845add1@HIDDEN>
Date: Mon, 25 Oct 2021 17:08:23 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <822aec9d010037a1158a@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 25/10/21 16:54, Gregory Heytings wrote:
> See bug#50387.  This is a recent "improvement".  Now you're supposed to type the 
> first character of the hostname to see completions.

It doesn't seem to work, though. From emacs -Q:

- M-x fido-vertical-mode
- C-x C-f
- /ssh:s
- press TAB

The hostname isn't completed and I don't see the *Completions* buffer. While 
without enabling fido-vertical-mode, I get /ssh:server on pressing TAB after /ssh:s

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at 51386 <at> debbugs.gnu.org:


Received: (at 51386) by debbugs.gnu.org; 25 Oct 2021 14:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 10:54:22 2021
Received: from localhost ([127.0.0.1]:43973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf1Mk-0003B1-BB
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 10:54:22 -0400
Received: from heytings.org ([95.142.160.155]:34684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mf1Mj-0003As-46
 for 51386 <at> debbugs.gnu.org; Mon, 25 Oct 2021 10:54:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1635173660;
 bh=kx52yJbk+BqryaPt8C3s+sFreonuLHt6Uy6fhna1OY0=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=MEaFz0PQw+deJtlF3usV5bRp/u77XK8VOnV1GPndz1wU+XYUjFRPPC40sjmLDObPq
 qgNpyjGsTZ+FOtQwaSFtbvhnCacIP03j1paR8eLKN571dkWzwCess8OYHP24xWXgMV
 JkmusuauWV7UMimCgsy5rylXBgx+EEpzdCtU+kaz5BKUTnHvUZ39k+bnc/w3ohlqJZ
 DAkNsOyFaQ2AeSaAaZlmbJdF+67DSFbGQMjdcExnPlaYxXLsJDwNXoMCyC8d3DOQdz
 2I/82DC0kmT1g3JUrcxsxBeQLSbsx9gFQQ6tN6UWyfpA1L5fc0Wn0CkfhUf0mzLFky
 VMtX/vS7zoZWA==
Date: Mon, 25 Oct 2021 14:54:19 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion
In-Reply-To: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
Message-ID: <822aec9d010037a1158a@HIDDEN>
References: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51386
Cc: 51386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


See bug#50387.  This is a recent "improvement".  Now you're supposed to 
type the first character of the hostname to see completions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Oct 2021 14:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 10:38:16 2021
Received: from localhost ([127.0.0.1]:43953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf17A-0002he-0Q
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 10:38:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:35880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mf178-0002hX-Qz
 for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 10:38:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33352)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mf177-00059y-Ji
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 10:38:13 -0400
Received: from latitanza.investici.org ([82.94.249.234]:42869)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mf171-0005zb-3N
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 10:38:09 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4HdHcL40N5zGp4W
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Oct 2021 14:37:54 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1635172674;
 bh=jehKW0XMQ7syEAJdKUltvXbPkPSHSZZOeIuEulkNlHI=;
 h=To:Subject:From:Date:From;
 b=jCKveFkPGBNuam/qGdqMnlnby84H7fF5os0ENRL7sy5YctB3u2o9RecF2zjLIc3Fc
 pgSvN0rgWAHdRHq63A1cY2Iniv/w3jQyY3sAwpsdX49YlZB53hcWyaPpYMqZ5P/CBC
 1HLuVCVcVYj8DpStmACb3mHwB03Kr0U5b+T1sxlg=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HdHcL3P1nzGp4R
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Oct 2021 14:37:54 +0000 (UTC)
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; fido-vertical-mode: ssh host completion
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <410f97e4-1cc0-3a3e-bc07-b076ccd52ac8@HIDDEN>
Date: Mon, 25 Oct 2021 16:37:53 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=82.94.249.234;
 envelope-from=manuel.uberti@HIDDEN; helo=latitanza.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi,

if I do this from emacs -Q:

- M-x fido-vertical-mode
- C-x C-f
- Type /ssh:
- Press TAB

I see the *Completions* buffer with this content:

Click on a completion to select it.
In this buffer, type RET to select the completion near point.

Possible completions are:
ssh:
sshx:
sshfs:

If I instead do not enable fido-vertical-mode, and I do:

- C-x C-f
- Type /ssh:
- Press TAB

I see this in the *Completions* buffer:

Click on a completion to select it.
In this buffer, type RET to select the completion near point.

Possible completions are:
ssh:work-serv:
ssh:server:

Which are the hosts coming from my ~/.ssh/config, and this is what I was 
expecting with fido-vertical-mode.

I noticed fido-vertical-mode uses icomplete--fido-mode-setup, which among other 
things sets (with setq-local) completion-styles to '(flex).

Now, if I use icomplete-vertical-mode with completion-styles set to
'(basic partial-completion flex), pressing TAB after /ssh: shows me the hosts I 
was looking for.


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.18, cairo 
version 1.16.0)
  of 2021-10-25 built on hathaway
Repository revision: 79f7e87da5037f22be07954bb8000ee88e18e515
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.04 LTS

Configured using:
  'configure --with-harfbuzz --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
   value of $LC_MESSAGES: en_GB.UTF-8
   value of $LC_MONETARY: it_IT.UTF-8
   value of $LC_NUMERIC: it_IT.UTF-8
   value of $LC_TIME: it_IT.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   shell-dirtrack-mode: t
   icomplete-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   show-paren-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   indent-tabs-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils tramp-cache tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete comint ansi-color ring parse-time iso8601 time-date ls-lisp
format-spec auth-source eieio eieio-core eieio-loaddefs password-cache
json map cus-start comp comp-cstr warnings rx cl-seq cl-macs cl-extra
seq gv subr-x byte-opt bytecomp byte-compile cconv cus-load icomplete
help-mode cl-loaddefs cl-lib iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 114626 9140)
  (symbols 48 10350 1)
  (strings 32 28393 2886)
  (string-bytes 1 959527)
  (vectors 16 19385)
  (vector-slots 8 325769 14133)
  (floats 8 45 290)
  (intervals 56 506 0)
  (buffers 992 12))

-- 
Manuel Uberti
www.manueluberti.eu




Acknowledgement sent to Manuel Uberti <manuel.uberti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51386; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Oct 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.